> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Access

> Check if a user has access to a specific Synced Object



## OpenAPI

````yaml post /api/permissions/{syncId}/check
openapi: 3.0.0
info:
  title: Paragon Sync API
  description: API for managing Syncs and permissions for Connected Users
  version: 1.0.0
servers:
  - url: https://sync.useparagon.com
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/permissions/{syncId}/check:
    post:
      summary: Check Access
      description: Check if a user has access to a specific Synced Object
      parameters:
        - name: syncId
          in: path
          required: true
          schema:
            type: string
          description: >-
            UUID of the Sync to query, returned from the [Enable
            Sync](/managed-sync/api/enable-a-sync) endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PermissionsCheckRequest'
      responses:
        '200':
          description: Access check result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionsCheckResponse'
        '401':
          description: Unauthorized
components:
  schemas:
    PermissionsCheckRequest:
      type: object
      properties:
        object:
          type: string
          description: >-
            UUID of the Synced Object, returned from the [Pull Synced
            Records](/managed-sync/api/pull-synced-records) endpoint.
          example: a657df3b-17e2-5989-bc5f-13ddb7fdab41
        user:
          type: string
          description: The email of the user to check permissions for.
          example: email@example.com
        role:
          type: string
          description: The role to use for the access check.
          enum:
            - can_read
            - can_write
            - is_owner
      required:
        - object
        - user
        - role
    PermissionsCheckResponse:
      type: object
      required:
        - hasAccess
      properties:
        hasAccess:
          type: boolean
          description: >-
            Returns `true` if the user has access to the Synced Object with the
            specified role.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Paragon User Token. Add to the Authorization header of your requests.

````